
Figure - Bug #117087
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】设置-网络和互联网，选择一个已经连接的wifi，点击取消保存，闪退回桌面
2023-03-22 16:46 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-22

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-22

Test Type: ST Root cause: 外部跳转到 WIFI 详情的后退逻辑处理有问题导致。

Description

【前提条件】

1、设备已开机

2、连接一个wifi

【测试步骤】

1、打开设置——>网络和互联网——>选择已经连接的wifi

2、点击取消保存

3、观察屏幕

【预期结果】

3、正常返回wifi列表界面

【实际结果】

3、闪退回桌面

【复现率】

3/3

History

#1 - 2023-03-22 19:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

189170 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix exit Settings after forget network problem.TC-RID: 1201-0201801IssueID: TS-R-BUG-117087Change-Id:

I36b6738fd3c7a0e2311617ba20d65997d0b7a7d4

#2 - 2023-03-22 19:37 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-22

- Root cause set to 外部跳转到 WIFI 详情的后退逻辑处理有问题导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

外部跳转到 WIFI 详情的后退逻辑处理有问题导致。

■ Next action

测试验证。

#3 - 2023-03-23 10:42 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101

【验证情况】设置-网络和互联网，选择一个已经连接的wifi，点击取消保存，正常显示wifi页面

#4 - 2023-03-23 10:43 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
